<?php
$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("_f8713e229c3c165d58b874f896ed" . "8105" => base64_decode("UGVybUNo" . "ZWNrQXNT" . "UUw="), "_75ef4079806c4d4750" . "ceb49f6a576d29" => base64_decode("U0VMRUNUIERJU1RJTkNUIGlkLCBuYW1lIE" . "ZST00gd2ZfY2F0ZWdvcnksIHBlcm1pc3Np" . "b25zIFdIRVJFIA=="), "_0aaf4c26" . "3c47ca883" . "08b769cdc" . "0804be" => base64_decode("IE9SREVSIEJZIG5h" . "bWU="), "_a84d4e086479d8e55ffb4e3c" . "8b3c2cf7" => base64_decode("d2ZfY2F0ZWdvcnkucGVybV9p" . "ZA=="), "_0c5123aa" . "744f69bbc" . "0e8b3ea2f" . "6e847d" => base64_decode("bG1zZw" . "=="), "_a452562e90118d3" . "f3b23d9482a407de" . "b" => base64_decode("U0VMRUNUIGlkLCBuYW1lIEZS" . "T00gd2ZfY2F0ZWdvcnkgT1JE" . "RVIgQlkgbmFtZQ=="), "_b4594f46725" . "555bf20d8174" . "8c4d38459" => base64_decode("d2ZfY2F" . "0ZWdvcn" . "k="), "_70d2bd78cab3d15762db35e" . "c8bc6d00f" => base64_decode("Q2Fubm90IGZpbmQgY2F0ZWdvcnkgd2l0" . "aCBzdWNoIGlk"), "_4d707fab93bebb00bbe69e" . "8159697c90" => base64_decode(""), "_a77286b791af0933c781d2e09d4e222" . "5" => base64_decode("cGFuZWxzLndvcmtmbG93X2NhdGVn" . "b3J5LmNhbnRfZGVsZXRlX25vbl9l" . "bXB0eQ=="), "pe" . "rm" . "s" => base64_decode("cG" . "Vy" . "bX" . "M="));
class WFCategory extends DBObject
{
    
    
    
    
    protected $id;
    protected $name;
    protected $description;
    
    
    
    
    
    
    protected $perms;
    
    
    
    
    public function __construct()
    {
        $this->TABLE_NAME = $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_b4594f46725555bf20d81" . "748c4d38459"];
        $this->id = -1;
        $this->name = $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_4d707fab93bebb00bbe69e" . "8159697c90"];
        $this->description = $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_4d707fab" . "93bebb00b" . "be69e8159" . "697c90"];
        $this->perms = new UnifiedPermissions();
    }
    
    
    
    
    
    
    
    public function IsSpecial($_40421a4e75c2ba3c82b018e6b56f7425)
    {
        return $_40421a4e75c2ba3c82b018e6b56f7425 == $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["p" . "e" . "r" . "m" . "s"] || parent::IsSpecial($_40421a4e75c2ba3c82b018e6b56f7425);
    }
    
    
    
    
    
    
    public function HasWorkflows()
    {
        $_b1eaa3313a3fd528f63e18a69460560a = new WFWorkflow();
        $_b1eaa3313a3fd528f63e18a69460560a->SetCategoryId($this->id);
        $_19e43d4a76a795ab7f0432112f84b5ec = $_b1eaa3313a3fd528f63e18a69460560a->GetSameByCategory();
        if ($_b1eaa3313a3fd528f63e18a69460560a->IsError()) {
            return $this->SetErrMsg($_b1eaa3313a3fd528f63e18a69460560a->GetErrMsg());
        }
        return !empty($_19e43d4a76a795ab7f0432112f84b5ec);
    }
    
    
    
    
    
    
    public function GetAllWorkflows()
    {
        $_b1eaa3313a3fd528f63e18a69460560a = new WFWorkflow($this->id);
        return $_b1eaa3313a3fd528f63e18a69460560a->GetSameByCategory();
    }
    
    
    
    
    
    
    protected function DeletePerms()
    {
        return $this->PassError($this->perms->DeleteAll(), $this->perms);
    }
    
    
    
    
    
    
    public function GetId()
    {
        return $this->id;
    }
    
    
    
    
    
    
    public function GetName()
    {
        return $this->name;
    }
    
    
    
    
    
    
    
    public function SetName($name)
    {
        $this->name = $name;
        return true;
    }
    
    
    
    
    
    
    public function GetDescription()
    {
        return $this->description;
    }
    
    
    
    
    
    
    public function SetDescription($_28fd57f750dbb5ffb3ffad3a888358a9)
    {
        $this->description = $_28fd57f750dbb5ffb3ffad3a888358a9;
        return true;
    }
    
    
    
    
    public function GetDefaultWFPermissions()
    {
        return $this->perms;
    }
    
    
    
    
    
    
    
    public function SetDefaultWFPermissions($perms)
    {
        $this->perms = $perms;
        return true;
    }
    public function Load($id = -1)
    {
        parent::Load($id);
        if (!$this->id) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_70d2bd78cab3d15762db35ec8bc6" . "d00f"]);
        }
        
        
        if ($this->perm_id) {
            $this->perms->Load($this->perm_id);
        }
        if ($this->perms->IsError()) {
            return $this->SetErrMsg($this->perms->GetErrMsg());
        }
        return true;
    }
    public function Save()
    {
        global $db;
        if (!$this->perms->Save()) {
            return $this->SetErrMsg($this->perms->GetErrMsg());
        }
        $this->perm_id = $this->perms->id;
        parent::Save();
        return true;
    }
    
    
    
    
    
    
    public function Delete()
    {
        if ($this->HasWorkflow()) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_0c5123aa7" . "44f69bbc0e" . "8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_a77286b791af" . "0933c781d2e09" . "d4e2225"]));
        }
        parent::Delete();
        $this->DeletePerms();
        return true;
    }
    public function GetPerms()
    {
        return $this->GetDefaultWFPermissions();
    }
    
    
    
    
    
    
    
    
    public function UserHasPermission($perms, $user_id = false)
    {
        return $this->GetPerms()->UserHasPermission($perms, 0, $user_id);
    }
    
    
    
    
    
    
    public static function GetCategoryList($admin_mode, $rights)
    {
        global $db;
        $_1f24efd4735b7a11b391147435e7d35d = array();
        if ($admin_mode) {
            $_7f5aa4e96d4b415a86ed72ebff677cbe = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_a452562e90118d3f3b" . "23d9482a407deb"];
        } else {
            $_7f5aa4e96d4b415a86ed72ebff677cbe = $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_75ef4079806c4d4" . "750ceb49f6a576d2" . "9"] . $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_f8713e229c3c165d58b874f89" . "6ed8105"](PERM_CLASS_UNIFIED, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_a84d4e086479d8e55ff" . "b4e3c8b3c2cf7"], $rights) . $GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_0aaf4c263c47ca88308b769cdc0804" . "be"];
        }
        $_a606a2dcd236a549db0574a9c1675927 = $db->query(new Query($_7f5aa4e96d4b415a86ed72ebff677cbe));
        while (list($_016db8297b062559d6c50204224476d1, $_e4858e7761a793faacb8c393283a3d5e) = $_a606a2dcd236a549db0574a9c1675927->fetchRow()) {
            $_1f24efd4735b7a11b391147435e7d35d[$_016db8297b062559d6c50204224476d1] = $_e4858e7761a793faacb8c393283a3d5e;
        }
        return $_1f24efd4735b7a11b391147435e7d35d;
    }
    
    
    
    
    
    
    
    public function HasWorkflow()
    {
        return $this->HasWorkflows();
    }
}